9.5 upgrade failed on both Pi4 and HC2

My Pi4 failed to upgrade with this error:

APT update                                                                       │
│  - Command: apt-get -y -eany update                                              │
│  - Exit code: 100                                                                │
│  - DietPi version: v9.4.2 (MichaIng/master) | HW_MODEL: 4 | HW_ARCH: 3 | DISTRO: │
│ 7                                                                                │
│  - Error log:                                                                    │
│ Hit:1 https://downloads.plex.tv/repo/deb public InRelease                        │
│ Hit:2 https://deb.debian.org/debian bookworm InRelease                           │
│ Hit:3 https://download.zerotier.com/debian/bookworm bookworm InRelease           │
│ Hit:4 https://deb.debian.org/debian bookworm-updates InRelease                   │
│ Hit:5 https://dietpi.com/apt bookworm InRelease                                  │
│ Hit:6 https://deb.debian.org/debian-security bookworm-security InRelease         │
│ Hit:7 https://dietpi.com/apt all InRelease                                       │
│ Hit:8 https://deb.debian.org/debian bookworm-backports InRelease                 │
│ Get:10 https://pkgs.tailscale.com/stable/debian bookworm InRelease               │
│ Ign:11 https://packages.ntop.org/apt/stretch_pi bookworm InRelease               │
│ Hit:12 https://archive.raspberrypi.com/debian bookworm InRelease                 │
│ Get:13 https://download.mono-project.com/repo/debian buster InRelease [5874 B]   │
│ Hit:9 https://packagecloud.io/ookla/speedtest-cli/debian bookworm InRelease      │
│ Err:14 https://packages.ntop.org/apt/stretch_pi bookworm Release                 │
│   404  Not Found [IP: 167.99.215.164 443]                                        │
│ Hit:15 https://apt.sonarr.tv/debian buster InRelease                             │
│ Reading package lists...                                                         │
│ E: The repository 'https://packages.ntop.org/apt/stretch_pi bookworm Release'    │
│ does not have a Release file.

My HC2 failed with this different error:

APT update                                                                       │
│  - Command: apt-get -y -eany update                                              │
│  - Exit code: 100                                                                │
│  - DietPi version: v9.3.0 (MichaIng/master) | HW_MODEL: 11 | HW_ARCH: 2 |        │
│ DISTRO: 6                                                                        │
│  - Image creator: DietPi Core Team                                               │
│  - Pre-image: Meveric                                                            │
│  - Error log:                                                                    │
│ Hit:1 https://deb.debian.org/debian bullseye InRelease                           │
│ Hit:2 https://downloads.plex.tv/repo/deb public InRelease                        │
│ Get:3 https://deb.nodesource.com/node_16.x bullseye InRelease [4586 B]           │
│ Get:4 https://deb.debian.org/debian bullseye-updates InRelease [44.1 kB]         │
│ Get:5 https://download.mono-project.com/repo/debian buster InRelease [5874 B]    │
│ Hit:6 https://dietpi.com/apt bullseye InRelease                                  │
│ Get:7 https://deb.debian.org/debian-security bullseye-security InRelease [48.4   │
│ kB]                                                                              │
│ Get:8 https://deb.debian.org/debian bullseye-backports InRelease [49.0 kB]       │
│ Hit:10 https://apt.sonarr.tv/debian buster InRelease                             │
│ Get:11 https://pkgs.tailscale.com/stable/debian bullseye InRelease               │
│ Hit:12 https://dietpi.com/meveric all InRelease                                  │
│ Get:13 https://dietpi.com/meveric bullseye InRelease [4136 B]                    │
│ Hit:9 https://packagecloud.io/ookla/speedtest-cli/debian bullseye InRelease      │
│ Ign:14 https://download.webmin.com/download/newkey/repository stable InRelease   │
│ Hit:15 https://download.webmin.com/download/newkey/repository stable Release     │
│ Get:16 https://pkg.ltec.ch/public bullseye InRelease [4317 B]                    │
│ Get:17 https://deb.debian.org/debian-security bullseye-security/main armhf       │
│ Packages [271 kB]                                                                │
│ Get:18 https://dietpi.com/meveric bullseye/backports armhf Packages [60.1 kB]    │
│ Get:19 https://dietpi.com/meveric bullseye/main armhf Packages [10.3 kB]         │
│ Err:16 https://pkg.ltec.ch/public bullseye InRelease                             │
│   The following signatures couldn't be verified because the public key is not    │
│ available: NO_PUBKEY 4BBAE4C69C568C54                                            │
│ Reading package lists...                                                         │
│ W: GPG error: https://pkg.ltec.ch/public bullseye InRelease: The following       │
│ signatures couldn't be verified because the public key is not available:         │
│ NO_PUBKEY 4BBAE4C69C568C54                                                       │
│ E: The repository 'https://pkg.ltec.ch/public bullseye InRelease' is not signed.

Any ideas?

Looks like you added 3rd party apt repositories to your system. This is causing issues now.

First one seems to be pointing to Stretch still while your system is on Bookworm already. I guess this repository simply doesn’t exist anymore. You would need to check if it is needed still.

On the other case, the signature changed. Check with the provider if the is a new key available.